﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _9576
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();            
            InMemoryFeatureLayer layer = new InMemoryFeatureLayer();
            layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.CreateSimpleTextStyle("Label", "Arial", 10, DrawingFontStyles.Bold, GeoColors.Black);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            Random r = new Random();
            for (int i = 0; i < 20; i++)
            {
                int x = r.Next(-180, 180);
                int y = r.Next(-90, 90);

                Feature feature = new Feature(x, y);
                feature.ColumnValues.Add("Label", i.ToString());
                layer.InternalFeatures.Add(feature);
            }

            layerOverlay.Layers.Add(layer);
            winformsMap1.Overlays.Add(layerOverlay);



            winformsMap1.CurrentExtent = new RectangleShape(-180, 90, 180, -90);
            winformsMap1.Refresh();
        }
    }
}
